clang-tools 6.0.0

Namespaces | Functions
ArgumentCommentCheck.cpp File Reference
`#include "ArgumentCommentCheck.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "clang/Lex/Lexer.h"`
`#include "clang/Lex/Token.h"`
`#include "../utils/LexerUtils.h"`
Include dependency graph for ArgumentCommentCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| clang::tidy
| clang::tidy::bugprone

## Functions
static std::vector< std::pair< SourceLocation, StringRef > > | clang::tidy::bugprone::getCommentsInRange (ASTContext *Ctx, CharSourceRange Range)
static std::vector< std::pair< SourceLocation, StringRef > > | clang::tidy::bugprone::getCommentsBeforeLoc (ASTContext *Ctx, SourceLocation Loc)
static bool | clang::tidy::bugprone::isLikelyTypo (llvm::ArrayRef< ParmVarDecl *> Params, StringRef ArgName, unsigned ArgIndex)
static bool | clang::tidy::bugprone::sameName (StringRef InComment, StringRef InDecl, bool StrictMode)
static bool | clang::tidy::bugprone::looksLikeExpectMethod (const CXXMethodDecl *Expect)
static bool | clang::tidy::bugprone::areMockAndExpectMethods (const CXXMethodDecl *Mock, const CXXMethodDecl *Expect)
static const CXXMethodDecl * | clang::tidy::bugprone::findMockedMethod (const CXXMethodDecl *Method)
static const FunctionDecl * | clang::tidy::bugprone::resolveMocks (const FunctionDecl *Func)